### Signal

# WebKit2 WebResource::received-data

deprecated: 2.40

#### Declaration

    void
    received_data (
      WebKitWebResource* self,
      guint64 data_length,
      gpointer user_data
    )

#### Description [src]

This signal is emitted after response is received, every time new data has been received. It’s useful to know the progress of the resource load operation.

This is signal is deprecated since version 2.40 and it’s never emitted.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Deprecated since: 2.40
Please do not use it in newly written code.

#### Parameters

`data_length`

  Type: `guint64`

  The length of data received in bytes.